<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Extras.AvatarLoaderSample Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Extras.AvatarLoaderSample Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the avatar loader sample scene.  
 <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Extras.AvatarLoaderSample:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3c51aca14fb7511dbc6cfe2c01807191"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a3c51aca14fb7511dbc6cfe2c01807191">FreeLookCamPrefab</a></td></tr>
<tr class="memdesc:a3c51aca14fb7511dbc6cfe2c01807191"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to specity the Standard Assets FreeLookCam Prefab.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a3c51aca14fb7511dbc6cfe2c01807191">More...</a><br /></td></tr>
<tr class="separator:a3c51aca14fb7511dbc6cfe2c01807191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf50c55c39b0f8fb5ea719b514489ee9"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#abf50c55c39b0f8fb5ea719b514489ee9">ThirdPersonControllerPrefab</a></td></tr>
<tr class="memdesc:abf50c55c39b0f8fb5ea719b514489ee9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to specity the Standard Assets ThirdPersonController Prefab.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#abf50c55c39b0f8fb5ea719b514489ee9">More...</a><br /></td></tr>
<tr class="separator:abf50c55c39b0f8fb5ea719b514489ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab17a65892a1e758cb2d23683793d4c80"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ab17a65892a1e758cb2d23683793d4c80">ActiveCameraGameObject</a></td></tr>
<tr class="memdesc:ab17a65892a1e758cb2d23683793d4c80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Active Camera Game Object reference.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ab17a65892a1e758cb2d23683793d4c80">More...</a><br /></td></tr>
<tr class="separator:ab17a65892a1e758cb2d23683793d4c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4d0ed82a0dfee7faa84340764e1eede"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ac4d0ed82a0dfee7faa84340764e1eede">ModelsDirectory</a> = &quot;Models&quot;</td></tr>
<tr class="memdesc:ac4d0ed82a0dfee7faa84340764e1eede"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to specify your models directory within the current Application directory.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ac4d0ed82a0dfee7faa84340764e1eede">More...</a><br /></td></tr>
<tr class="separator:ac4d0ed82a0dfee7faa84340764e1eede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab430f6c4e0027bf1f79cec6532eb2cbc"><td class="memItemLeft" align="right" valign="top">Text&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ab430f6c4e0027bf1f79cec6532eb2cbc">InformationText</a></td></tr>
<tr class="memdesc:ab430f6c4e0027bf1f79cec6532eb2cbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to specify the UnityEngine.UI.Text component where the sample information is displayed.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#ab430f6c4e0027bf1f79cec6532eb2cbc">More...</a><br /></td></tr>
<tr class="separator:ab430f6c4e0027bf1f79cec6532eb2cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a14af6126a3dcbe72b7b341e9b87727c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a14af6126a3dcbe72b7b341e9b87727c3">Start</a> ()</td></tr>
<tr class="memdesc:a14af6126a3dcbe72b7b341e9b87727c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setups the Avatar Loader instance reference and fills the available files list.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a14af6126a3dcbe72b7b341e9b87727c3">More...</a><br /></td></tr>
<tr class="separator:a14af6126a3dcbe72b7b341e9b87727c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1f7bd905a7c39ed1d22caa5a1f607a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a9c1f7bd905a7c39ed1d22caa5a1f607a">OnGUI</a> ()</td></tr>
<tr class="memdesc:a9c1f7bd905a7c39ed1d22caa5a1f607a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows available files and let user select them from the UI.  <a href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a9c1f7bd905a7c39ed1d22caa5a1f607a">More...</a><br /></td></tr>
<tr class="separator:a9c1f7bd905a7c39ed1d22caa5a1f607a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the avatar loader sample scene. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9c1f7bd905a7c39ed1d22caa5a1f607a" name="a9c1f7bd905a7c39ed1d22caa5a1f607a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c1f7bd905a7c39ed1d22caa5a1f607a">&#9670;&nbsp;</a></span>OnGUI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Extras.AvatarLoaderSample.OnGUI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Shows available files and let user select them from the UI. </p>

</div>
</div>
<a id="a14af6126a3dcbe72b7b341e9b87727c3" name="a14af6126a3dcbe72b7b341e9b87727c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14af6126a3dcbe72b7b341e9b87727c3">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Extras.AvatarLoaderSample.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Setups the Avatar Loader instance reference and fills the available files list. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab17a65892a1e758cb2d23683793d4c80" name="ab17a65892a1e758cb2d23683793d4c80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab17a65892a1e758cb2d23683793d4c80">&#9670;&nbsp;</a></span>ActiveCameraGameObject</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.Extras.AvatarLoaderSample.ActiveCameraGameObject</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Active Camera Game Object reference. </p>

</div>
</div>
<a id="a3c51aca14fb7511dbc6cfe2c01807191" name="a3c51aca14fb7511dbc6cfe2c01807191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c51aca14fb7511dbc6cfe2c01807191">&#9670;&nbsp;</a></span>FreeLookCamPrefab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.Extras.AvatarLoaderSample.FreeLookCamPrefab</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to specity the Standard Assets FreeLookCam Prefab. </p>

</div>
</div>
<a id="ab430f6c4e0027bf1f79cec6532eb2cbc" name="ab430f6c4e0027bf1f79cec6532eb2cbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab430f6c4e0027bf1f79cec6532eb2cbc">&#9670;&nbsp;</a></span>InformationText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Text TriLib.Extras.AvatarLoaderSample.InformationText</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to specify the UnityEngine.UI.Text component where the sample information is displayed. </p>

</div>
</div>
<a id="ac4d0ed82a0dfee7faa84340764e1eede" name="ac4d0ed82a0dfee7faa84340764e1eede"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4d0ed82a0dfee7faa84340764e1eede">&#9670;&nbsp;</a></span>ModelsDirectory</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Extras.AvatarLoaderSample.ModelsDirectory = &quot;Models&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to specify your models directory within the current Application directory. </p>

</div>
</div>
<a id="abf50c55c39b0f8fb5ea719b514489ee9" name="abf50c55c39b0f8fb5ea719b514489ee9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf50c55c39b0f8fb5ea719b514489ee9">&#9670;&nbsp;</a></span>ThirdPersonControllerPrefab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.Extras.AvatarLoaderSample.ThirdPersonControllerPrefab</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this field to specity the Standard Assets ThirdPersonController Prefab. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLibExtras/Samples/Scripts/<a class="el" href="_avatar_loader_sample_8cs.html">AvatarLoaderSample.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_extras.html">Extras</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html">AvatarLoaderSample</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
